Subject: Re: bug#33781: tramp tests abort on hydra

From: Glenn Morris <[email-masked]>
Date: Wed, 19 Dec 2018 16:50:52 -0500

Michael Albinus wrote:

> Yes, I could reproduce it. The problem is, that there is an upper limit
> to the length of the $PATH variable, to be checked by
>
> # getconf PATH_MAX /

I don't think this is it. If it was, I would not have been able to build
Emacs, because the build process would not have been able to find "sed".
The problem is specific to Tramp, when it tries to pass long values to
the remote environment. This makes me think of bug#24531.

As a test, perhaps you could change tramp-set-remote-path to write
PATH=...
to a buffer, write that buffer to a file, and then source that file in
the remote environment. This avoids passing long strings to subprocesses.